import zmq
import time
from openteach.utils.network import create_pull_socket, ZMQKeypointSubscriber

def start_subscriber():
    subscriber=ZMQKeypointSubscriber('172.24.71.240',8100,'button')
    while True:
        try:
            key=subscriber.recv_keypoints()
            print(key)
        except KeyboardInterrupt:
            break

if __name__ == "__main__":
    start_subscriber()